import config from 'ui/config.js';

/*
 * Function that appends a tooltip widget to elem with the supplied text. The
 * function creates a USWDS tooltip with an info-circle icon, then initializes
 * it with the USWDS components.tooltip.init().
 * @param {Object} elem - D3 selection to append the tooltip
 * @param {Function or String} text - will be used as the parameter for the d3 .text() function.
 */

// Required to initialize USWDS components after page load
import uswds_tooltip from 'uswds-components/usa-tooltip/src/index.js';

export const appendInfoTooltip = function(elem, text, position = 'right') {
	let tooltip = elem.append('div')
        .attr('class', 'usa-tooltip')
        .attr('data-position', position)
        .attr('title', text);
    tooltip.append('svg')
        .attr('class', 'usa-icon')
        .html(`<use xlink:href="${config.STATIC_URL}img/sprite.svg#info"></use>`);

    // Need to initialize USWDS tooltip explictly after page load
    uswds_tooltip.on(elem.node());
};
