import config from 'ui/config';

/*
 * Removes the previous loading indicator if in elem. Then renders a new loading indicator
 * if showLoadingIndicator.
 * @param {D3 selection} elem
 * @param {Boolean} showLoadingIndicator
 */
export const drawLoadingIndicator = function(elem, {showLoadingIndicator}) {
    elem.select('.loading-indicator').remove();
    if (showLoadingIndicator) {
        elem.append('svg')
            .attr('class', 'loading-indicator rotate usa-icon')
            .attr('aria-hidden', 'true')
            .attr('role', 'img')
            .html(`<use xlink:href="${config.STATIC_URL}img/sprite.svg#loop"></use>`);
    }
};