import {select} from 'd3-selection';

import {drawLoadingIndicator} from './loading-indicator';

describe('loading indicator', () => {
    let div;

    beforeEach(() => {
        let body = select('body');
        div = body.append('div');
    });

    afterEach(() => {
        div.remove();
    });

    it('loading indicator should be visible', () => {
        div.call(drawLoadingIndicator, {showLoadingIndicator: true});
        expect(select('.loading-indicator').size()).toBe(1);
    });

    it('loading indicator should not be visible', () => {
        div.call(drawLoadingIndicator, {showLoadingIndicator: false});
        expect(select('.loading-indicator').size()).toBe(0);
    });
});